Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
Fehler bei ./configure

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Software
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
Gabi
Gast





BeitragVerfasst am: 08. Feb 2002 21:07   Titel: Fehler bei ./configure

Hi,
ich hoffe Ihr könnt mir ein wenig helfen. Sowie es einen "Super-user" gibt, bin ich
ein "super-newbie"!

Ich habe mir das SuSE 7.3 gekauft und inst. Läuft soweit super.
Dann hab ich mir mal ein paar Programme runtergeladen (in diesem Falle das Prog. "killustrator-0.7.2") und laut
"http://www.pl-berichte.de/work/newbie/installieren.html" mit:
"gzip -d Programmname.tar.gz" und "tar xvf programmname.tar" in das home Verz. entpackt.
Soweit passt alles. Nur wenn ich dann ./configure eingebe, dann kommt zum schluss eine
Fehlermeldung:
"checking for Qt... configure: error: Qt <>= 1.42 and <2.0> (libaries) not found.
please check your installation!"

In dem File Install steht man soll in das Verz. gehen und ./configure, make, make install tippen. Nur komm ich nicht soweit.

Weiss von Euch vieleicht eine Lösung?

Liebe Grüße
Gabi
 

jensemann
Gast





BeitragVerfasst am: 08. Feb 2002 21:17   Titel: Re: Fehler bei ./configure

Hi Gabi
Da haste dir aber was altes runterladen. Schmeiss das Paket weg und installier dir koffice, da ist der killustrater dabei. Noch was zu den Meldungen bei ./configure:
configure checkt dein System ab, ob notwendige Programme oder libs fehlen die für diese Software gebraucht werden. Wenn du also eine solche Meldung bekommst, dann heisst das, das Programm oder die lib gar nicht oder in einer falschen Version gefunden worden ist. So, hoffe das hilft erstmal für den steinigen Einstieg in Linux
Mfg jensemann
 

Gabi
Gast





BeitragVerfasst am: 08. Feb 2002 22:07   Titel: Re: Fehler bei ./configure

Hallo jensemann!

Vielen Dank für Deine schnelle Antwort. Habs installiert und muss dann mal schauen!
Ich wollte aber auch noch "WebHand1.0.2.tar.gz" installieren, ich kanns einfach nicht!
Das entpacken funktioniert wie immer super, aber dann ...

Is sooo schade ...

Liebe Grüße
Gabi
 

Boron
Gast





BeitragVerfasst am: 09. Feb 2002 12:39   Titel: Re: Fehler bei ./configure

Wenn wieder die gleiche Fehlermeldung kommt dann ist das Problem klar:
configure weiß nicht, wo auf dem Computer sich die Qt-Bibliotheken befnden.
Das lässt sich aber leicht lösen.

Gibt einfach bevor du ./configure ausführst den Befehl "export QTDIR=/usr/lib/qt2" aus (ohne die Anführungszeichen logischerweise).
QTDIR ist dann eine Variable die das Verzeichnis zu Qt enthält. ./configure schaut dann in diesem Verzeichnis nach, ob dort die Bibliothek ist (was bei dir dann definitiv der Fall ist).

Gruss Boron
 

jensemann
Gast





BeitragVerfasst am: 09. Feb 2002 20:09   Titel: Re: Fehler bei ./configure

Hi Gabi, hi Boron
@ Boron
Einige schlechte configure scripts ignorieren diese Variable leider, sind aber nur wenige.

@Gabi
Wenn du irgendwelche Fehlermeldungen beim installieren bekommst, solltest du diese auch posten, würde mir und anderen nämlich sehr helfen das Problem zu lokalisieren (und auszurotten ). Ich kenne WebHand nicht, weiss also nicht ob da ein configure script dabei ist, oder wie es installiert wird. In fast jedem Paket ist aber eine Datei mit dem Namen INSTALL, da steht meist recht ausführlich drin wie das Programm installiert wird, wenn du englisch kannst, solltest du dir diese datei mal durchlesen.
Mfg jensemann
 

rag



Anmeldungsdatum: 24.01.2002
Beiträge: 24

BeitragVerfasst am: 13. Feb 2002 17:35   Titel: Re: Fehler bei ./configure

Hi Gabi,

häufig findest Du auch Informationen im Configure-Script selber.

Gib mal folgendes ein: ./configure --help

Da sollten alle Optionen die Du beim ausführen von configure brauchst oder machen kannst aufgelistet sein.

Gruß
raG
_________________
-*-
<-there is no life before coffee->
-*-
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Software Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy